Package Details: linux-firmware-hauppauge 0.2.1-1

Git Clone URL: https://aur.archlinux.org/linux-firmware-hauppauge.git (read-only, click to copy)
Package Base: linux-firmware-hauppauge
Description: Additional Hauppauge Firmware
Upstream URL: https://www.hauppauge.com/pages/support/support_linux.html
Licenses: custom
Submitter: PreparationH67
Maintainer: PreparationH67
Last Packager: PreparationH67
Votes: 2
Popularity: 0.018873
First Submitted: 2022-10-25 03:07 (UTC)
Last Updated: 2023-07-30 20:33 (UTC)

Latest Comments

PreparationH67 commented on 2023-03-30 21:54 (UTC)

Ignore my previous comment about the firmware file being corrupt. Apparently the issue Im seeing is due to specific HW version of the 2250 needing a patch manually applied per the instructions on the cards linuxtv.org page. This package is still currently the only source of the 03 and 04 version of the NXP7164 firmware.

PreparationH67 commented on 2023-03-30 21:43 (UTC)

It seems that the version of the NXP7164-2010-03-10.1.fw included in Hauppauge's package is broken. A version of this file should be in the openelec-dvb-firmware aur packages but it seems that there is some issue with how those packages are being built and the file is not getting installed. This needs to be resolved manually. I will try to update this package to include a working version if I can find a good source.

PreparationH67 commented on 2022-10-25 19:47 (UTC)

I should also note, the way to confirm for sure if your device needs one of the firmware files supplied by this package is to check your dmesg output for an error about a missing dvb firmware file and to check the name of the file the system is trying to find with the list of files in the PKGBUILD file.

PreparationH67 commented on 2022-10-25 19:39 (UTC)

If your Hauppauge capture device is listed under the "Firmware Install" section of the page linked as the Upsteam URL then you will need the additional firmware files supplied this package. A few of these firmware files are also supplied by other capture device firmware packages. You can remove the install lines in the PKGBUILD file before building for a clean install or override the files during package installation since they should be identical.